import 'package:flutter/material.dart';
import 'package:mohem_flutter_app/classes/decorations_helper.dart';
import 'package:mohem_flutter_app/extensions/int_extensions.dart';

class CustomStatusWidget extends StatelessWidget {
  final Widget asset;
  final Widget title;
  final Widget subTitle;

  const CustomStatusWidget({
    Key? key,
    required this.asset,
    required this.title,
    required this.subTitle,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      decoration: MyDecorations.shadowDecoration,
      padding: const EdgeInsets.symmetric(vertical: 20, horizontal: 20),
      child: Column(
        children: <Widget>[
          asset,
          50.height,
          title,
          10.height,
          subTitle,
        ],
      ),
    );
  }
}
